Введение в язык Питон


Программное возбуждение исключений.


Если вы пишете библиотеки функций, то одним из способов сообщить вызывающей программе о том, что случилась непредвиденная ситуация, является возбуждения исключений. Для этой цели используется оператор raise, который возбуждает заданное исключение. Оператор raise имеет следующий синтаксис: raise имя_исключения[, аргумент_исключения, аргумент_исключения ...]. Если raise вызывается без аргументов, то она возбуждает повторно самое последнее исключение:

>>> raise NameError, 'HiThere' Traceback (most recent call last):

File "<stdin>", line 1, in ?

NameError: HiThere

raise без параметров часто используется в промежуточных обработчиках исключений:

>>> try: ... raise NameError, 'HiThere' ... except NameError: ... print 'Произошла ошибка!' ... raise ... Произошла ошибка!

Traceback (most recent call last):

File "<stdin>", line 2, in ?

NameError: HiThere

В Питоне можно создавать собственные типы исключений в виде классов. Но эта тема будет рассмотрена в разделе классы и объектно-ориентированное программирование, потому что все исключения – это классы.




Начало  Назад  Вперед



Книжный магазин